Subject: bug#59694: closed (Re: [bug#59694] [PATCH] gnu: dino: Update to 0.3.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Dec 2022 11:44:02 +0000

Your bug report

#59694: [PATCH] gnu: dino: Update to 0.3.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59694: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59694
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#59694] [PATCH] gnu: dino: Update to 0.3.1.
From: Christopher Baines <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked], Liliana Marie Prikler <[email-masked]>, [email-masked]
Date: Tue, 06 Dec 2022 11:40:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Jack Hill <[email-masked]> writes:

> On Tue, 29 Nov 2022, Liliana Marie Prikler wrote:
>
>> * gnu/packages/messaging.scm (dino): Update to 0.3.1.
>> [arguments]<#:configure-flags>: Add “-DUSE_SOUP3=true”.
>> [inputs]: Use ‘libsoup’ rather than ‘libsoup-minimal-2’.
>
> Hi,
>
> I built and ran Dino 0.3.1 on x86_64, and it works well for me with no
> new problems. I was able to receive files, which presumably exercises
> the libsoup code paths (I didn't upload any files). The Guix changes
> look good to me. I did not audit upstream changes.

This also looks good to me. I didn't spot that this was submitted by
Liliana who has commit access, so I ended up pushing this as
d8c8a2987a6709f8a9be007754b5884f189f61f7.

Chris

Subject: [PATCH] gnu: dino: Update to 0.3.1.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Tue, 29 Nov 2022 21:30:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/messaging.scm (dino): Update to 0.3.1.
[arguments]<#:configure-flags>: Add “-DUSE_SOUP3=true”.
[inputs]: Use ‘libsoup’ rather than ‘libsoup-minimal-2’.
---
 gnu/packages/messaging.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 9927c7c323..fd7cbf921d 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -1375,7 +1375,7 @@ (define-public gajim-openpgp
 (define-public dino
   (package
     (name "dino")
-    (version "0.3.0")
+    (version "0.3.1")
     (source
      (origin
        (method url-fetch)
@@ -1383,11 +1383,11 @@ (define-public dino
         (string-append "https://github.com/dino/dino/releases/download/v"
                        version "/dino-" version ".tar.gz"))
        (sha256
-        (base32 "07nw275xfamczzvzps8hsnpbhzvr4qc726fx92w8ncmdag7wlw1r"))))
+        (base32 "1rs6qpkidiww805cd91q059r2lm5lzblrkyn01zz4g1mls8ghk5a"))))
     (build-system cmake-build-system)
     (outputs '("out" "debug"))
     (arguments
-     (list #:configure-flags #~(list "-DBUILD_TESTS=true")
+     (list #:configure-flags #~(list "-DBUILD_TESTS=true" "-DUSE_SOUP3=true")
            #:parallel-build? #f         ; not supported
            #:modules '((guix build cmake-build-system)
                        ((guix build glib-or-gtk-build-system) #:prefix glib-or-gtk:)
@@ -1439,7 +1439,7 @@ (define-public dino
            libgee
            libnice
            libsignal-protocol-c
-           libsoup-minimal-2
+           libsoup
            libsrtp                      ;for calls support
            pango
            qrencode
-- 
2.38.1